#!/bin/sh

## Kill the NetBarrier Alert

ps -axcopid,command | grep "NetBarrier Al" | awk '{ system("kill -9 "$1) }'

## Kill the Application

ps -axcopid,command | grep -e 'NetBarrier X$' | awk '{ system("kill -9 "$1) }'

## unload the Kernel Extension

if [ -d /Library/StartupItems/NetBarrier/NetBarrier.kext ]; then
   /sbin/kextunload /Library/StartupItems/NetBarrier/NetBarrier.kext
fi

## remove /Library/Intego/netbarrierd.bundle

if [ -d /Library/Intego/netbarrierd.bundle ]; then
	rm -r /Library/Intego/netbarrierd.bundle
fi

## remove /Library/StartupItems/NetBarrier

if [ -d /Library/StartupItems/NetBarrier ]; then
	rm -r /Library/StartupItems/NetBarrier
fi

## remove /Library/Preferences/Intego/NetBarrier

if [ -d /Library/Preferences/Intego/NetBarrier ]; then
	rm -r /Library/Preferences/Intego/NetBarrier
fi

## remove /Applications/NetBarrier X.app

if [ -d /Applications/NetBarrier\ X.app ]; then
	rm -r /Applications/NetBarrier\ X.app
fi

## remove /Library/Receipts/

if [ -d /Library/Receipts/NetBarrier.pkg ]; then
	rm -r /Library/Receipts/NetBarrier.pkg
fi

if [ -f /Library/Receipts/NetBarrier\ X\ Log.rtf ]; then
	rm -r /Library/Receipts/NetBarrier\ X\ Log.rtf
fi
