#!/bin/sh

## **********************************************************************
## **** Kill the running binaries in order to be able to delete them ****
## **********************************************************************

## Kill the NetBarrier Alert

#ps -axcopid,command | grep "NetBarrier Al" | awk '{ system("kill -9 "$1) }'

## Kill the Application

ps -axcopid,command | grep -e 'Personal Backup X$' | awk '{ system("kill -9 "$1) }'
ps -axcopid,command | grep -e 'PersonalBackup Motor$' | awk '{ system("kill -9 "$1) }'
ps -axcopid,command | grep -e 'PBXRootLauncher$' | awk '{ system("kill -9 "$1) }'

## **********************************************************************
## ****                  Unload Kernel Extensions                    ****
## **********************************************************************

## unload the Kernel Extension

#if [ -d /Library/StartupItems/NetBarrier/NetBarrier.kext ]; then
#   /sbin/kextunload /Library/StartupItems/NetBarrier/NetBarrier.kext
#fi

## **********************************************************************
## ****                        Remove files                          ****
## **********************************************************************

## remove /Library/Intego/netbarrierd.bundle

if [ -d /Library/Intego/personalbackupd.bundle ]; then
	rm -r /Library/Intego/personalbackupd.bundle
fi

## remove /Library/StartupItems/NetBarrier

if [ -d /Library/StartupItems/PersonalBackup ]; then
	rm -r /Library/StartupItems/PersonalBackup
fi

## remove /Library/Preferences/Intego/NetBarrier

if [ -d /Library/Preferences/Intego/PersonalBackup ]; then
	rm -r /Library/Preferences/Intego/PersonalBackup
fi

## remove /Applications/NetBarrier X.app

if [ -d /Applications/Personal\ Backup\ X.app ]; then
	rm -r /Applications/Personal\ Backup\ X.app
fi

## **********************************************************************
## ****                Remove the Receipts files                     ****
## **********************************************************************

## remove /Library/Receipts/

if [ -d /Library/Receipts/Personal\ Backup\ X.pkg ]; then
	rm -r /Library/Receipts/Personal\ Backup\ X.pkg
fi

#if [ -f /Library/Receipts/NetBarrier\ X\ Log.rtf ]; then
	rm -rf /Users/*/Library/Logs/PersonalBackup
	rm -rf /Users/*/Library/Preferences/com.intego.PersonalBackup.plist
#fi
